Lompati ke konten utama

Browser ini sudah tidak didukung.

Tingkatkan ke Microsoft Edge untuk memanfaatkan fitur, pembaruan keamanan, dan dukungan teknis terkini.

Unduh Microsoft Edge Informasi selengkapnya tentang Internet Explorer dan Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Create a memory item

POST /memory_stores/{name}/items

Creates a memory item in the specified memory store.

Parameter header

Foundry-Features enum diperlukan

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Parameter jalur

name string diperlukan

The name of the memory store.

Parameter kueri

api-version string diperlukan

The API version to use for this operation.

Isi Permintaan

Content-Type: application/json
scope string diperlukan

The namespace that logically groups and isolates memories, such as a user ID.

content string diperlukan

The content of the memory.

kind string | enum diperlukan

Memory item kind.

Salah satu dari yang berikut:
string
enum
user_profilechat_summaryprocedural

Respons

The request has succeeded.

Isi

Content-Type: application/json
Salah satu dari berikut ini:
user_profile UserProfileMemoryItem

A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.

kind enum diperlukan

The kind of the memory item.

user_profile
chat_summary ChatSummaryMemoryItem

A memory item containing a summary extracted from conversations.

kind enum diperlukan

The kind of the memory item.

chat_summary
procedural ProceduralMemoryItem

A memory item containing a procedure extracted from conversations.

kind enum diperlukan

The kind of the memory item.

procedural

Client error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Minta

POST /memory_stores/{name}/items HTTP/1.1

Tanggapan

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
id-id
Pilihan Privasi Anda
  • Pengelakan AI
  • Versi Sebelumnya
  • Blog
  • Berikan kontribusi
  • Privasi
  • Privasi Kesehatan Konsumen
  • Persyaratan Penggunaan
  • Merek Dagang
  • © Microsoft 2026